<?php

namespace Drupal\active_campaign_api_integration\Plugin;

use Drupal\Core\Http\RequestStack;
use Symfony\Component\HttpFoundation\Request;

/**
 * @file
 * This is handling Request parameters.
 */

/**
 * Injecting Request stack in MapperForm.
 *
 * @class This class does Injection.
 */
class RequestHandler {

  /**
   * Object of RequestStack or null.
   *
   * @var \Symfony\Component\HttpFoundation\Request|null
   */
  protected ?Request $request;

  /**
   * Build up object of RequestStack.
   *
   * @param \Drupal\Core\Http\RequestStack $requestStack
   *   Request stack object.
   */
  public function __construct(RequestStack $requestStack) {
    $this->request = $requestStack->getCurrentRequest();
  }

  /**
   * To get the value of key in params.
   *
   * @param string $name
   *   Key of get request params.
   *
   * @return mixed
   *   Returns value of key name passed.
   */
  public function getRequestParameter(string $name) {
    return $this->request->get($name);
  }

}
